//Disable $fn and $fa, do not change these
$fn=0;
$fa=0.01;
$fs=0.5;


boardwidth=50;
boarddepth=43.6;

thick=1.5;
inwidth=57;

indepth=46;
inheight=22;

boardshiftx=inwidth-boardwidth-1;
boardshifty=1;


// corner of board at bx,by

boltdiameter=3;

footholex=5-boltdiameter/2;
footholey0=7.7-boltdiameter/2;
footholey1=5.3-boltdiameter/2;

c0x=footholex+boardshiftx;
c0y=footholey0+boardshifty;

c1x=footholex+boardshiftx;
c1y=(boarddepth-footholey1)+boardshifty;

c2x=(boardwidth-footholex)+boardshiftx;
c2y=footholey0+boardshifty;

c3x=(boardwidth-footholex)+boardshiftx;
c3y=(boarddepth-footholey1)+boardshifty;


footdiameter=7;
footheight=3.5;


module foot(x,y)
{
 translate([x,y,0])
    {
     cylinder(footheight,d=footdiameter);
    }
}

module foothole(x,y)
{
 translate([x,y,-thick])
    {
     cylinder(footheight+thick,d=boltdiameter);        
    }
}


jackdiameter=7.5;
jy0=indepth/3;
jy1=2*jy0;
jz=16;

module jackhole(y,z)
{
 translate([-thick*2,y,z])
    {
     rotate([0,90,0])cylinder(thick*2,d=jackdiameter);        
    }
}


module usbhole()
{
 usbwidth=18;
 usbfromboardedge=7.5;
 usbheight=4;
 usbfromboardbottom=8.5;
    
 translate([boardshiftx+boardwidth-usbfromboardedge-usbwidth,-thick,usbfromboardbottom+footheight])
    {
     cube([usbwidth,thick,usbheight]);
    }
}


module sensorhole()
{
 sensorwidth=11.5;
 sensorfromboardedge=12;
 sensorheight=7;
 sensorfromboardbottom=2.5;
 translate([boardshiftx+boardwidth-sensorfromboardedge-sensorwidth,indepth,sensorfromboardbottom+footheight])
    {
     cube([sensorwidth,thick,sensorheight]);
    }    
}


module bottomhole()
{
 translate([c0x+footdiameter/2,c0y+footdiameter/2,-thick])cube([c2x-c0x-footdiameter,c1y-c0y-footdiameter,thick]);   
    
}    
    
    


module body()
{
difference()
{
union()
{
difference()
{
 translate([-thick,-thick,-thick])cube([inwidth+2*thick,indepth+2*thick,inheight+thick]);
 cube([inwidth,indepth,inheight]);   
    
}

foot(c0x,c0y);
foot(c1x,c1y);
foot(c2x,c2y);
foot(c3x,c3y);
}

   

foothole(c0x,c0y);
foothole(c1x,c1y);
foothole(c2x,c2y);
foothole(c3x,c3y);
jackhole(jy0,jz);
jackhole(jy1,jz);
usbhole();
sensorhole();
bottomhole();
}
    
}    
    
tolerance=0.25;

module lid()
{
 difference()
 {
  union()
  {
   translate([-thick,-thick,-thick])cube([inwidth+2*thick,indepth+2*thick,thick]);
   translate([thick,tolerance,0])cube([inwidth-2*thick,thick,thick]);
      
   translate([thick,indepth-tolerance-thick,0])cube([inwidth-2*thick,thick,thick]);
      
    
  }

   

  foothole(c0x,c0y);
  foothole(c1x,c1y);
  foothole(c2x,c2y);
  foothole(c3x,c3y);
 }
}

translate([0,indepth,inheight+1*thick])rotate([180,0,0])lid();

body();
